# Complete a payment intent

Complete a new payment intent.

Endpoint: PATCH /payments/br/payment-intents/{id}/
Version: 1.223.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The payment-intent.id you want to complete the payment for.
    Example: "a3b92311-1888-449f-acaa-49ae28d68fcd"

## Request fields (application/json):

  - `body` (object, required) — one of:
    - Pix Key:
      - `confirm` (boolean, required)
        Boolean that indicates whether this request confirms the payment intent. Must be set to true to confirm the payment intent.
        Example: true
    - Bank Account:
      - `payment_method_details` (object, required)
        Object containing additional required fields for the payment intent flow.
      - `payment_method_details.open_finance` (object, required)
      - `payment_method_details.open_finance.payer_institution` (string)
        Belvo's unique ID for the payer’s institution.
        Example: "db201c6a-e0ee-4caa-92d6-72b480d6d86f"
      - `payment_method_details.open_finance.beneficiary_bank_account` (string)
        Belvo's unique ID for the beneficiary bank account.
        Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"
      - `confirm` (boolean)
        Boolean that indicates whether this request confirms the payment intent.
        Example: true

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Pix Key:
      - `id` (string, required)
        Belvo's unique identifier for the current item.
        Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
      - `customer` (string, required)
        Belvo's unique ID for the customer related to this payment intent.
        Example: "1c83ead8-6665-429c-a17a-ddc76cb3a95e"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `created_at` (string, required)
        The ISO-8601 timestamp of when the data point was created in Belvo's database.
        Example: "2022-02-09T08:45:50.406032Z"
      - `created_by` (string, required)
        The unique ID for the user that created this item.
        Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"
      - `updated_at` (string,null, required)
        The ISO-8601 timestamp of when the payment intent was last updated.
        Example: "2022-02-09T08:45:50.406032Z"
      - `status` (string, required)
        The current status of the payment intent.
        Enum: "REQUIRES_PAYMENT_METHOD", "REQUIRES_ACTION", "SUCCEEDED", "PROCESSING", "FAILED"
      - `amount` (string, required)
        Amount to be paid by your customer.
        Example: "1234.12"
      - `currency` (string, required)
        The currency of the amount paid, for example, BRL (Brazilian Real).
        Enum: "BRL"
      - `description` (string, required)
        The description of the payment.
        Example: "Training shoes"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `selected_payment_method_type` (string, required)
        Selected payment method type. For 🇧🇷 Brazil's OFPI, can be either:

  - open_finance: For regular payments.
  - open_finance_biometric_pix: For biometric payments using the PIX network.
        Enum: "open_finance", "open_finance_biometric_pix"
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For OFPI, the value will be open_finance.
        Example: ["open_finance"]
      - `payment_method_details` (any, required) — one of:
        Details about the Pix Key payment method.
        - INDIVIDUAL:
          - `open_finance` (object, required)
            Payment method type selected.
          - `open_finance.pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.

{% admonition type="info" name="Pix Key Masking" %}
  In the case that the provided Pix Key is a CPF, email address, or phone number, value in payment_method_details.open_finance.pix_key will be masked. If it is a CNPJ or random Pix Key UUID, the value will not be masked.
{% /admonition %}
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `open_finance.payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `open_finance.callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `open_finance.cpf` (string,null)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "23******00"
          - `open_finance.schedule` (object,null) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object,null)
                Details regarding the scheduled (one-off) payment.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Details regarding the daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Details regarding the weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Details regarding the monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Details regarding the custom recurring payment.
              - `custom.dates` (array)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
        - BUSINESS:
          - `open_finance` (object, required)
            Payment method type selected.
          - `open_finance.pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.

{% admonition type="info" name="Pix Key Masking" %}
  In the case that the provided Pix Key is a CPF, email address, or phone number, value in payment_method_details.open_finance.pix_key will be masked. If it is a CNPJ or random Pix Key UUID, the value will not be masked.
{% /admonition %}
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `open_finance.payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `open_finance.schedule` (object,null) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object,null)
                Details regarding the scheduled (one-off) payment.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Details regarding the daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Details regarding the weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Details regarding the monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Details regarding the custom recurring payment.
              - `custom.dates` (array)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `open_finance.callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `open_finance.cpf` (string,null, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "23******00"
      - `payment_method_information` (any, required) — one of:
        Information about the Pix Key payment method.

At the time of payment intent creation, it will only include the open_finance.pix_key_details property, which you need to show your user to confirm that their details are correct (see the Initial schema).

After they confirm their details in your application and you send through the PATCH request, this object will be populated with additional properties (see the Confirmed schema).
        - Initial:
          - `open_finance` (object)
          - `open_finance.pix_key_details` (object)
            Details about the Pix Key used for the payment. You need to display this information to your user for them to confirm that the details are correct. After they confirm, you can send a PATCH request to confirm the Payment Intent.
          - `open_finance.pix_key_details.identifier` (string)
            The masked identifier of the owner.
            Example: "23******00"
          - `open_finance.pix_key_details.name` (string)
            The name of the Pix Key holder.
            Example: "João da Silva"
        - Confirmed:
          - `open_finance` (object)
          - `open_finance.provider_request_id` (string,null)
            Unique ID for the payment, as sent by the provider.
            Example: "978c0c97ea847e78e8849634473c1f1"
          - `open_finance.redirect_url` (string,null)
            The URL that redirects the payer to their institution's website to authorize the payment.
            Example: "https://wakandanational.com/"
          - `open_finance.end_to_end_id` (string,null)
            A unique ID for the transaction in the Brazil's PIX payment system.
            Example: "F203262942022211117487a213b1d140"
          - `open_finance.settlement_date` (string)
            The settlement_date field indicates the date on which a scheduled payment (charge) is planned to be settled. This field is relevant in various states of the charge's lifecycle:

  - Scheduled Charges: When a charge has the status SCHEDULED, this field represents the planned settlement date.
  - Completed Charges: When a charge has the status SUCCEEDED, this field reflects the date that the payment was made.
  - Failed or Canceled Charges: When a charge has the status CANCELED or FAILED, this field will still contain the originally calculated settlement date, indicating when the charge was intended to be settled.


> Note: The settlement_date does not change based on the success or failure of the charge. It consistently reflects the original planned settlement date.
            Example: "2024-10-22"
          - `open_finance.pix_key_details` (object)
            Details about the Pix key used for the payment.
          - `open_finance.pix_key_details.identifier` (string)
            The masked identifier of the owner.
            Example: "23******00"
          - `open_finance.pix_key_details.name` (string)
            The name of the Pix key holder.
            Example: "João da Silva"
      - `failure_code` (string,null, required)
        Error code that explains the reason behind a payment being unsuccessful (if applicable).
      - `failure_message` (string,null, required)
        Further information regarding the failure_code.
      - `metadata` (object)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `charges` (array)
        An array of charge objects related to this payment intent. If no charges are associated, we return an empty array.
      - `charges.id` (string, required)
        Belvo's unique identifier for the current item.
        Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
      - `charges.created_at` (string, required)
        The ISO-8601 timestamp of when the data point was created in Belvo's database.
        Example: "2022-02-09T08:45:50.406032Z"
      - `charges.updated_at` (string,null, required)
        The ISO-8601 timestamp of when the status of the charge was last updated.
        Example: "2022-02-09T08:45:50.406032Z"
      - `charges.created_by` (string)
        The unique ID for the user that created this item.
        Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"
      - `charges.customer` (string)
        Belvo's unique ID for the customer that the charge was created for.
        Example: "531aa631-70a0-4eeb-ab97-51dea3e90c89"
      - `charges.payment_intent` (string)
        The payment_intent.id associated with this charge.
        Example: "50c04229-7b1d-4a53-951c-8ad53e10c6ca"
      - `charges.status` (string, required)
        The current status of the charge. Can be one of the following values:

  - CANCELED
  - PENDING
  - SCHEDULED
  - SUCCEEDED
  - FAILED
  - PARTIAL
        Enum: "CANCELED", "PENDING", "SCHEDULED", "SUCCEEDED", "FAILED", "PARTIAL"
      - `charges.amount` (string,null, required)
        The amount of the charge.
        Example: "100.12"
      - `charges.currency` (string)
        The currency of the amount paid. For 🇧🇷 Brazil, the value must be BRL (Brazilian Real).
        Enum: same as `currency` in "Pix Key" (1 values)
      - `charges.description` (string)
        The description of the payment.
        Example: "Training shoes"
      - `charges.statement_description` (string)
        The description that will appear on the customer's bank statement (if provided).
        Example: "Super Shoe Store - Brown Sneakers"
      - `charges.beneficiary` (string,null, required)
        Belvo's unique ID used to identify the beneficiary’s bank account. In the case that the beneficiary is a Pix Key, this field will be null.
      - `charges.payment_method_type` (string)
        Selected payment method type. For 🇧🇷 Brazil's OFPI, the value must be open_finance.
        Enum: "open_finance"
      - `charges.payment_method_details` (object, required)
        Details about the payment method.
      - `charges.payment_method_details.open_finance` (object)
        Information about the payer of a Pix payment.
      - `charges.payment_method_details.open_finance.payer_institution` (string)
        Unique identifier for the payer's institution.
        Example: "db201c6a-e0ee-4caa-92d6-72b480d6d86f"
      - `charges.payment_method_details.open_finance.pix_key` (string)
        The Pix key associated with the beneficiary of the transaction. Can be an email, phone number, CPF/CNPJ, or a random key.
        Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"
      - `charges.payment_method_details.open_finance.schedule` (object,null) — one of:
        Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
        - Single:
          - `single` (object,null)
            Details regarding the scheduled (one-off) payment.
          - `single.date` (string)
            The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
            Example: "2024-10-22"
        - Daily:
          - `daily` (object)
            Details regarding the daily recurring payment.
          - `daily.start_date` (string)
            The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
            Example: "2024-10-22"
          - `daily.occurrences` (integer)
            The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
            Example: 10
        - Weekly:
          - `weekly` (object)
            Details regarding the weekly recurring payment.
          - `weekly.start_date` (string)
            The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
            Example: "2024-10-22"
          - `weekly.day_of_week` (string)
            The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
            Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
          - `weekly.occurrences` (integer)
            The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
            Example: 10
        - Monthly:
          - `monthly` (object)
            Details regarding the monthly recurring payment.
          - `monthly.start_date` (string)
            The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
            Example: "2024-10-26"
          - `monthly.day_of_month` (integer)
            The day of the month the payment should be made. Can be any integer between 1 and 31.
            Example: 26
          - `monthly.occurrences` (integer)
            The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
            Example: 12
        - Custom:
          - `custom` (object)
            Details regarding the custom recurring payment.
          - `custom.dates` (array)
            The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
            Example: ["2024-10-22","2024-10-26"]
          - `custom.description` (string)
            A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
            Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
      - `charges.payment_method_information` (object, required)
        Information about the Pix Key payment method after the payment intent has been confirmed via a PATCH request.
      - `charges.payment_method_information.open_finance` (object)
      - `charges.payment_method_information.open_finance.provider_request_id` (string,null)
        Unique ID for the payment, as sent by the provider.
        Example: "978c0c97ea847e78e8849634473c1f1"
      - `charges.payment_method_information.open_finance.redirect_url` (string,null)
        The URL that redirects the payer to their institution's website to authorize the payment.
        Example: "https://wakandanational.com/"
      - `charges.payment_method_information.open_finance.end_to_end_id` (string,null)
        A unique ID for the transaction in the Brazil's PIX payment system.
        Example: "F203262942022211117487a213b1d140"
      - `charges.payment_method_information.open_finance.settlement_date` (string)
        The settlement_date field indicates the date on which a scheduled payment (charge) is planned to be settled. This field is relevant in various states of the charge's lifecycle:

  - Scheduled Charges: When a charge has the status SCHEDULED, this field represents the planned settlement date.
  - Completed Charges: When a charge has the status SUCCEEDED, this field reflects the date that the payment was made.
  - Failed or Canceled Charges: When a charge has the status CANCELED or FAILED, this field will still contain the originally calculated settlement date, indicating when the charge was intended to be settled.


> Note: The settlement_date does not change based on the success or failure of the charge. It consistently reflects the original planned settlement date.
        Example: "2024-10-22"
      - `charges.payment_method_information.open_finance.pix_key_details` (object)
        Details about the Pix key used for the payment.
      - `charges.payment_method_information.open_finance.pix_key_details.identifier` (string)
        The masked identifier of the owner.
        Example: "23******00"
      - `charges.payment_method_information.open_finance.pix_key_details.name` (string)
        The name of the Pix key holder.
        Example: "João da Silva"
      - `charges.payer_information` (object)
        Information about the ChargePayerInformation.yaml
      - `charges.payer_information.bank_account` (object)
        Information about the payer's bank account.
      - `charges.payer_information.bank_account.type` (string)
        The type of the payer's bank account. Can be either CHECKINGS, SAVINGS, or PAYMENTS.
        Example: "CHECKINGS"
      - `charges.payer_information.bank_account.agency` (string)
        The agency number of the payer's bank account.
        Example: "1234"
      - `charges.payer_information.bank_account.number` (string)
        The account number of the payer's bank account.
        Example: "123456789"
      - `charges.payer_information.bank_account.institution_id` (string)
        The Belvo institution ID of the payer's bank account.
        Example: "528228e2-d40d-4cec-948d-ec5edd7d081c"
      - `charges.transactions` (any)
        For Pix Key payments, this will be an empty array.
        Example: []
      - `charges.failure_code` (string,null, required)
        Error code that explains the reason behind a payment being unsuccessful (if applicable).
      - `charges.failure_message` (string,null, required)
        Further information regarding the failure_code.
      - `charges.metadata` (object, required)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `charges.provider` (string, required)
        Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
        Enum: "belvo"
      - `provider` (string, required)
        Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
        Enum: same as `charges.provider` in "Pix Key" (1 values)
      - `last_error` (any, required)
        Note: This field has been deprecated and will be removed from the API in the future.

Information about the error you ran into in the previous step of the payment intent, if applicable. This error can occur when something unexpected happened during the payment intent process.
        - `error_code` (string, required)
          A unique error code (payment_error) that allows you to classify and handle the error programmatically.
          Example: "payment_error"
        - `error_message` (string, required)
          A short description of the error.
          Example: "Unexpected error to confirm the payment"
      - `next_step` (any, required) — one of:
        Note: This field has been deprecated and will be removed from the API in the future.

Object detailing the next steps you should follow for a specific next_step type.
        - OFPI -  Display Payment Method Information:
          - `type` (string)
            The type of next_step you need to follow.
            Enum: "open_finance_display_payment_method_information", "open_finance_display_confirmation_required", "open_finance_display_needs_redirect", "open_finance_display_payment_processing", "open_finance_display_payment_succeeded", "open_finance_display_payment_failed"
          - `open_finance_display_payment_method_information` (object)
            Object detailing what payment method information you need to display.
          - `open_finance_display_payment_method_information.institutions` (array)
            An array of institution objects.
          - `open_finance_display_payment_method_information.institutions.id` (string, required)
            Belvo's unique identifier for the current item.
            Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
          - `open_finance_display_payment_method_information.institutions.active` (boolean, required)
            Indicates whether this institution is available for use or not.
            Example: true
          - `open_finance_display_payment_method_information.institutions.name` (string, required)
            The name of the institution, as designated by Belvo.
            Example: "wakanda_national"
          - `open_finance_display_payment_method_information.institutions.display_name` (string, required)
            The customer-facing name of the institution.
            Example: "Wakanda National Bank"
          - `open_finance_display_payment_method_information.institutions.legal_entity_name` (string,null, required)
            The name of the legal entity of the institution, as registered with the relevant regulatory authority. Only applicable for 🇧🇷 Brazil OFPI.
            Example: "Wakanda Bank, National Association"
          - `open_finance_display_payment_method_information.institutions.website` (string, required)
            The URL of the institution's website.
            Example: "https://www.wakandanational.com"
          - `open_finance_display_payment_method_information.institutions.logo` (string, required)
            The URL of the institution's logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_logo.svg"
          - `open_finance_display_payment_method_information.institutions.icon_logo` (string, required)
            The URL of the institution's icon logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_icon_logo.svg"
          - `open_finance_display_payment_method_information.institutions.text_logo` (string, required)
            The URL of the institution's text logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_text_logo.svg"
          - `open_finance_display_payment_method_information.institutions.primary_color` (string, required)
            The primary color on the institution's website.
            Example: "#fdbc24"
          - `open_finance_display_payment_method_information.institutions.country` (string,null, required)
            The customer's country of residence.
-  BRA (🇧🇷 Brazil)
            Enum: "BRA", "null"
          - `open_finance_display_payment_method_information.institutions.form_fields` (array, required) — one of:
            - InstitutionFormField:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `label` (string)
                The label of the form field. For example:
- Document
- Clave
- Token
                Example: "Document"
              - `dependency` (string,null)
                Indicates whether or not this parameter depends on another parameter being provided. For example, if this field dependency = username_type, this means that you must also send through the username_type parameter.
                Example: "username_type"
              - `validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid client number"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `length` (integer)
                Number of digits allowed when the type is token.
                Example: 6
              - `optional` (boolean)
                It indicates whether this form field is optional.
            - InstitutionFormFieldUsernameType:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `preselected` (integer)
                Indicated which option from the username_types array is automatically preselected for the user.
                Example: 6
            - InstitutionFormFieldSaveCredentials:
              - `name` (string)
                Whether or not the user wants to save the credentials for this institution for future payments.
                Example: "save_credentials"
              - `type` (string)
                The input type for the form field. For save_credentials, this is set to checkbox.
                Example: "checkbox"
              - `label` (string)
                The label of the form field. For save_credentials, this is set to Recuérdame para futuros pagos`.
                Example: "Recuérdame para futuros pagos"
              - `validation` (string,null)
                The type of input validation used for the field. For save_credentials, this is null.
          - `open_finance_display_payment_method_information.institutions.sort_priority` (integer, required)
            Number that represents the order in which the institution should be displayed in an application, with 1 being the highest.
            Example: 1
          - `open_finance_display_payment_method_information.institutions.description` (string,null, required)
            A brief description of the insitution.
            Example: "Simple, transparent and secure: Wakanda Bank is the leading financial technology company in Latin America."
          - `ready_to_confirm` (boolean)
            Boolean that indicates whether the payment intent is ready to be confirmed. 

  Note: When set to true, you need to confirm the payment by making a PATCH request sending through confirm: true.
        - OFPI - Needs Redirect:
          - `type` (string)
            The type of next_step you need to follow.
            Enum: same as `type` in "OFPI -  Display Payment Method Information" (6 values)
          - `open_finance_display_needs_redirect` (object)
            Details regarding the payer institution.
          - `open_finance_display_needs_redirect.payer_institution` (object)
          - `open_finance_display_needs_redirect.payer_institution.id` (string, required)
            Belvo's unique identifier for the current item.
            Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
          - `open_finance_display_needs_redirect.payer_institution.active` (boolean, required)
            Indicates whether this institution is available for use or not.
            Example: true
          - `open_finance_display_needs_redirect.payer_institution.name` (string, required)
            The name of the institution, as designated by Belvo.
            Example: "wakanda_national"
          - `open_finance_display_needs_redirect.payer_institution.display_name` (string, required)
            The customer-facing name of the institution.
            Example: "Wakanda National Bank"
          - `open_finance_display_needs_redirect.payer_institution.legal_entity_name` (string,null, required)
            The name of the legal entity of the institution, as registered with the relevant regulatory authority. Only applicable for 🇧🇷 Brazil OFPI.
            Example: "Wakanda Bank, National Association"
          - `open_finance_display_needs_redirect.payer_institution.website` (string, required)
            The URL of the institution's website.
            Example: "https://www.wakandanational.com"
          - `open_finance_display_needs_redirect.payer_institution.logo` (string, required)
            The URL of the institution's logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_logo.svg"
          - `open_finance_display_needs_redirect.payer_institution.icon_logo` (string, required)
            The URL of the institution's icon logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_icon_logo.svg"
          - `open_finance_display_needs_redirect.payer_institution.text_logo` (string, required)
            The URL of the institution's text logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_text_logo.svg"
          - `open_finance_display_needs_redirect.payer_institution.primary_color` (string, required)
            The primary color on the institution's website.
            Example: "#fdbc24"
          - `open_finance_display_needs_redirect.payer_institution.country` (string,null, required)
            The customer's country of residence.
-  BRA (🇧🇷 Brazil)
            Enum: same as `open_finance_display_payment_method_information.institutions.country` in "OFPI -  Display Payment Method Information" (2 values)
          - `open_finance_display_needs_redirect.payer_institution.form_fields` (array, required) — one of:
            - InstitutionFormField:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `label` (string)
                The label of the form field. For example:
- Document
- Clave
- Token
                Example: "Document"
              - `dependency` (string,null)
                Indicates whether or not this parameter depends on another parameter being provided. For example, if this field dependency = username_type, this means that you must also send through the username_type parameter.
                Example: "username_type"
              - `validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid client number"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `length` (integer)
                Number of digits allowed when the type is token.
                Example: 6
              - `optional` (boolean)
                It indicates whether this form field is optional.
            - InstitutionFormFieldUsernameType:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `preselected` (integer)
                Indicated which option from the username_types array is automatically preselected for the user.
                Example: 6
            - InstitutionFormFieldSaveCredentials:
              - `name` (string)
                Whether or not the user wants to save the credentials for this institution for future payments.
                Example: "save_credentials"
              - `type` (string)
                The input type for the form field. For save_credentials, this is set to checkbox.
                Example: "checkbox"
              - `label` (string)
                The label of the form field. For save_credentials, this is set to Recuérdame para futuros pagos`.
                Example: "Recuérdame para futuros pagos"
              - `validation` (string,null)
                The type of input validation used for the field. For save_credentials, this is null.
          - `open_finance_display_needs_redirect.payer_institution.sort_priority` (integer, required)
            Number that represents the order in which the institution should be displayed in an application, with 1 being the highest.
            Example: 1
          - `open_finance_display_needs_redirect.payer_institution.description` (string,null, required)
            A brief description of the insitution.
            Example: "Simple, transparent and secure: Wakanda Bank is the leading financial technology company in Latin America."
          - `ready_to_confirm` (boolean)
            Boolean that indicates whether the payment intent is ready to be confirmed. 

  Note: When set to true, you need to confirm the payment by making a PATCH request sending through confirm: true.
        - OFPI - Display Confirmation Required:
          - `type` (string)
            The type of next_step you need to follow.
            Enum: same as `type` in "OFPI -  Display Payment Method Information" (6 values)
          - `open_finance_display_confirmation_required` (object)
            Object detailing the next steps you should follow for a specific next_step type.
          - `open_finance_display_confirmation_required.beneficiary_bank_account` (object)
          - `open_finance_display_confirmation_required.beneficiary_bank_account.id` (string, required)
            Belvo's unique identifier for the current item.
            Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.created_at` (string, required)
            The ISO-8601 timestamp of when the data point was created in Belvo's database.
            Example: "2022-02-09T08:45:50.406032Z"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.created_by` (string, required)
            The unique ID for the user that created this item.
            Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution` (object, required)
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.id` (string, required)
            Belvo's unique identifier for the current item.
            Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.active` (boolean, required)
            Indicates whether this institution is available for use or not.
            Example: true
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.name` (string, required)
            The name of the institution, as designated by Belvo.
            Example: "wakanda_national"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.display_name` (string, required)
            The customer-facing name of the institution.
            Example: "Wakanda National Bank"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.legal_entity_name` (string,null, required)
            The name of the legal entity of the institution, as registered with the relevant regulatory authority. Only applicable for 🇧🇷 Brazil OFPI.
            Example: "Wakanda Bank, National Association"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.website` (string, required)
            The URL of the institution's website.
            Example: "https://www.wakandanational.com"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.logo` (string, required)
            The URL of the institution's logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_logo.svg"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.icon_logo` (string, required)
            The URL of the institution's icon logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_icon_logo.svg"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.text_logo` (string, required)
            The URL of the institution's text logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_text_logo.svg"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.primary_color` (string, required)
            The primary color on the institution's website.
            Example: "#fdbc24"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.country` (string,null, required)
            The customer's country of residence.
-  BRA (🇧🇷 Brazil)
            Enum: same as `open_finance_display_payment_method_information.institutions.country` in "OFPI -  Display Payment Method Information" (2 values)
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.form_fields` (array, required) — one of:
            - InstitutionFormField:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `label` (string)
                The label of the form field. For example:
- Document
- Clave
- Token
                Example: "Document"
              - `dependency` (string,null)
                Indicates whether or not this parameter depends on another parameter being provided. For example, if this field dependency = username_type, this means that you must also send through the username_type parameter.
                Example: "username_type"
              - `validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid client number"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `length` (integer)
                Number of digits allowed when the type is token.
                Example: 6
              - `optional` (boolean)
                It indicates whether this form field is optional.
            - InstitutionFormFieldUsernameType:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `preselected` (integer)
                Indicated which option from the username_types array is automatically preselected for the user.
                Example: 6
            - InstitutionFormFieldSaveCredentials:
              - `name` (string)
                Whether or not the user wants to save the credentials for this institution for future payments.
                Example: "save_credentials"
              - `type` (string)
                The input type for the form field. For save_credentials, this is set to checkbox.
                Example: "checkbox"
              - `label` (string)
                The label of the form field. For save_credentials, this is set to Recuérdame para futuros pagos`.
                Example: "Recuérdame para futuros pagos"
              - `validation` (string,null)
                The type of input validation used for the field. For save_credentials, this is null.
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.sort_priority` (integer, required)
            Number that represents the order in which the institution should be displayed in an application, with 1 being the highest.
            Example: 1
          - `open_finance_display_confirmation_required.beneficiary_bank_account.institution.description` (string,null, required)
            A brief description of the insitution.
            Example: "Simple, transparent and secure: Wakanda Bank is the leading financial technology company in Latin America."
          - `open_finance_display_confirmation_required.beneficiary_bank_account.details` (any) — one of:
            - OFPI (PIX Account Information):
              - `country` (string,null, required)
                The customer's country of residence.
-  BRA (🇧🇷 Brazil)
                Enum: same as `open_finance_display_payment_method_information.institutions.country` in "OFPI -  Display Payment Method Information" (2 values)
              - `account_type` (string, required)
                The type of bank account. Can be either:

  - CHECKINGS (also known as Conta Corrente in Brazil)
  - SAVINGS (also known as Conta Poupança in Brazil)
  - SALARY (also known as Conta Salário in Brazil)
  - PAYMENTS (also known as Conta de Pagamento Instantâneo or Conta de Pagamento in Brazil)
                Enum: "CHECKINGS", "SAVINGS", "SALARY", "PAYMENTS"
              - `agency` (string, required)
                The agency (branch number) of the institution where the account was created.
                Example: "0444"
              - `number` (string, required)
                The bank account number.
                Example: "45722-0"
            - OFPI (PIX Keys):
              - `country` (string,null, required)
                The customer's country of residence.
-  BRA (🇧🇷 Brazil)
                Enum: same as `open_finance_display_payment_method_information.institutions.country` in "OFPI -  Display Payment Method Information" (2 values)
              - `pix_key` (string, required)
                The PIX key identifier of the bank account.
                Example: "RANDOM://6c1c236c-a035-4b80-ab12-e38f88ce82ab"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.holder` (object, required)
            Details regarding the bank account holder.
          - `open_finance_display_confirmation_required.beneficiary_bank_account.holder.type` (string, required)
            The type of bank account. Can be either INDIVIDUAL or BUSINESS.
            Enum: "INDIVIDUAL", "BUSINESS"
          - `open_finance_display_confirmation_required.beneficiary_bank_account.holder.information` (any, required) — one of:
            - BUSINESS:
              - `name` (string, required)
                The bank account holder's first name.
                Example: "Gustavo Veloso Entertainment Universe"
              - `identifier_type` (string, required)
                The customer's ID document type. For businesses in Brazil, this must be set to CNPJ.
                Enum: "CNPJ"
              - `identifier` (string, required)
                The CNPJ document number.
                Example: "00000000000191"
            - INDIVIDUAL:
              - `first_name` (string, required)
                The bank account holder's first name.
                Example: "Dom"
              - `last_name` (string, required)
                The bank account holder's last name.
                Example: "Mesa"
              - `identifier_type` (string, required)
                The customer's ID document type. For individuals in Brazil, this must be set to CPF.
                Enum: "CPF"
              - `identifier` (string, required)
                The document number of the customer's ID.
                Example: "00000000191"
          - `open_finance_display_confirmation_required.payer_name` (string)
            The name of the payer.
            Example: "Gustavo Veloso"
          - `open_finance_display_confirmation_required.payer_identifier` (string)
            The payer's ID.
            Example: "LV890273900-23"
          - `open_finance_display_confirmation_required.payer_institution` (object)
          - `ready_to_confirm` (boolean)
            Boolean that indicates whether the payment intent is ready to be confirmed. 

  Note: When set to true, you need to confirm the payment by making a PATCH request sending through confirm: true.
            Example: true
        - OFPI - Payment Processing:
          - `type` (string)
            The type of next_step you need to follow.
            Enum: same as `type` in "OFPI -  Display Payment Method Information" (6 values)
          - `open_finance_display_payment_processing` (object)
            Details regarding the payer institution.
          - `open_finance_display_payment_processing.payer_institution` (object)
          - `open_finance_display_payment_processing.payer_institution.id` (string, required)
            Belvo's unique identifier for the current item.
            Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
          - `open_finance_display_payment_processing.payer_institution.active` (boolean, required)
            Indicates whether this institution is available for use or not.
            Example: true
          - `open_finance_display_payment_processing.payer_institution.name` (string, required)
            The name of the institution, as designated by Belvo.
            Example: "wakanda_national"
          - `open_finance_display_payment_processing.payer_institution.display_name` (string, required)
            The customer-facing name of the institution.
            Example: "Wakanda National Bank"
          - `open_finance_display_payment_processing.payer_institution.legal_entity_name` (string,null, required)
            The name of the legal entity of the institution, as registered with the relevant regulatory authority. Only applicable for 🇧🇷 Brazil OFPI.
            Example: "Wakanda Bank, National Association"
          - `open_finance_display_payment_processing.payer_institution.website` (string, required)
            The URL of the institution's website.
            Example: "https://www.wakandanational.com"
          - `open_finance_display_payment_processing.payer_institution.logo` (string, required)
            The URL of the institution's logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_logo.svg"
          - `open_finance_display_payment_processing.payer_institution.icon_logo` (string, required)
            The URL of the institution's icon logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_icon_logo.svg"
          - `open_finance_display_payment_processing.payer_institution.text_logo` (string, required)
            The URL of the institution's text logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_text_logo.svg"
          - `open_finance_display_payment_processing.payer_institution.primary_color` (string, required)
            The primary color on the institution's website.
            Example: "#fdbc24"
          - `open_finance_display_payment_processing.payer_institution.country` (string,null, required)
            The customer's country of residence.
-  BRA (🇧🇷 Brazil)
            Enum: same as `open_finance_display_payment_method_information.institutions.country` in "OFPI -  Display Payment Method Information" (2 values)
          - `open_finance_display_payment_processing.payer_institution.form_fields` (array, required) — one of:
            - InstitutionFormField:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `label` (string)
                The label of the form field. For example:
- Document
- Clave
- Token
                Example: "Document"
              - `dependency` (string,null)
                Indicates whether or not this parameter depends on another parameter being provided. For example, if this field dependency = username_type, this means that you must also send through the username_type parameter.
                Example: "username_type"
              - `validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid client number"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `length` (integer)
                Number of digits allowed when the type is token.
                Example: 6
              - `optional` (boolean)
                It indicates whether this form field is optional.
            - InstitutionFormFieldUsernameType:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `preselected` (integer)
                Indicated which option from the username_types array is automatically preselected for the user.
                Example: 6
            - InstitutionFormFieldSaveCredentials:
              - `name` (string)
                Whether or not the user wants to save the credentials for this institution for future payments.
                Example: "save_credentials"
              - `type` (string)
                The input type for the form field. For save_credentials, this is set to checkbox.
                Example: "checkbox"
              - `label` (string)
                The label of the form field. For save_credentials, this is set to Recuérdame para futuros pagos`.
                Example: "Recuérdame para futuros pagos"
              - `validation` (string,null)
                The type of input validation used for the field. For save_credentials, this is null.
          - `open_finance_display_payment_processing.payer_institution.sort_priority` (integer, required)
            Number that represents the order in which the institution should be displayed in an application, with 1 being the highest.
            Example: 1
          - `open_finance_display_payment_processing.payer_institution.description` (string,null, required)
            A brief description of the insitution.
            Example: "Simple, transparent and secure: Wakanda Bank is the leading financial technology company in Latin America."
          - `ready_to_confirm` (boolean)
            Boolean that indicates whether the payment intent is ready to be confirmed. 

  Note: When set to true, you need to confirm the payment by making a PATCH request sending through confirm: true.
        - OFPI - Payment Succeeded:
          - `type` (string)
            The type of next_step you need to follow.
            Enum: same as `type` in "OFPI -  Display Payment Method Information" (6 values)
          - `open_finance_display_payment_succeeded` (object)
            Details regarding the payer institution.
          - `open_finance_display_payment_succeeded.payer_institution` (object)
          - `open_finance_display_payment_succeeded.payer_institution.id` (string, required)
            Belvo's unique identifier for the current item.
            Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
          - `open_finance_display_payment_succeeded.payer_institution.active` (boolean, required)
            Indicates whether this institution is available for use or not.
            Example: true
          - `open_finance_display_payment_succeeded.payer_institution.name` (string, required)
            The name of the institution, as designated by Belvo.
            Example: "wakanda_national"
          - `open_finance_display_payment_succeeded.payer_institution.display_name` (string, required)
            The customer-facing name of the institution.
            Example: "Wakanda National Bank"
          - `open_finance_display_payment_succeeded.payer_institution.legal_entity_name` (string,null, required)
            The name of the legal entity of the institution, as registered with the relevant regulatory authority. Only applicable for 🇧🇷 Brazil OFPI.
            Example: "Wakanda Bank, National Association"
          - `open_finance_display_payment_succeeded.payer_institution.website` (string, required)
            The URL of the institution's website.
            Example: "https://www.wakandanational.com"
          - `open_finance_display_payment_succeeded.payer_institution.logo` (string, required)
            The URL of the institution's logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_logo.svg"
          - `open_finance_display_payment_succeeded.payer_institution.icon_logo` (string, required)
            The URL of the institution's icon logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_icon_logo.svg"
          - `open_finance_display_payment_succeeded.payer_institution.text_logo` (string, required)
            The URL of the institution's text logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_text_logo.svg"
          - `open_finance_display_payment_succeeded.payer_institution.primary_color` (string, required)
            The primary color on the institution's website.
            Example: "#fdbc24"
          - `open_finance_display_payment_succeeded.payer_institution.country` (string,null, required)
            The customer's country of residence.
-  BRA (🇧🇷 Brazil)
            Enum: same as `open_finance_display_payment_method_information.institutions.country` in "OFPI -  Display Payment Method Information" (2 values)
          - `open_finance_display_payment_succeeded.payer_institution.form_fields` (array, required) — one of:
            - InstitutionFormField:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `label` (string)
                The label of the form field. For example:
- Document
- Clave
- Token
                Example: "Document"
              - `dependency` (string,null)
                Indicates whether or not this parameter depends on another parameter being provided. For example, if this field dependency = username_type, this means that you must also send through the username_type parameter.
                Example: "username_type"
              - `validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid client number"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `length` (integer)
                Number of digits allowed when the type is token.
                Example: 6
              - `optional` (boolean)
                It indicates whether this form field is optional.
            - InstitutionFormFieldUsernameType:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `preselected` (integer)
                Indicated which option from the username_types array is automatically preselected for the user.
                Example: 6
            - InstitutionFormFieldSaveCredentials:
              - `name` (string)
                Whether or not the user wants to save the credentials for this institution for future payments.
                Example: "save_credentials"
              - `type` (string)
                The input type for the form field. For save_credentials, this is set to checkbox.
                Example: "checkbox"
              - `label` (string)
                The label of the form field. For save_credentials, this is set to Recuérdame para futuros pagos`.
                Example: "Recuérdame para futuros pagos"
              - `validation` (string,null)
                The type of input validation used for the field. For save_credentials, this is null.
          - `open_finance_display_payment_succeeded.payer_institution.sort_priority` (integer, required)
            Number that represents the order in which the institution should be displayed in an application, with 1 being the highest.
            Example: 1
          - `open_finance_display_payment_succeeded.payer_institution.description` (string,null, required)
            A brief description of the insitution.
            Example: "Simple, transparent and secure: Wakanda Bank is the leading financial technology company in Latin America."
          - `ready_to_confirm` (boolean)
            Boolean that indicates whether the payment intent is ready to be confirmed. 

  Note: When set to true, you need to confirm the payment by making a PATCH request sending through confirm: true.
        - OFPI - Payment Failed:
          - `type` (string)
            The type of next_step you need to follow.
            Enum: same as `type` in "OFPI -  Display Payment Method Information" (6 values)
          - `open_finance_display_payment_failed` (object)
            Details regarding the payer institution.
          - `open_finance_display_payment_failed.payer_institution` (object)
          - `open_finance_display_payment_failed.payer_institution.id` (string, required)
            Belvo's unique identifier for the current item.
            Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
          - `open_finance_display_payment_failed.payer_institution.active` (boolean, required)
            Indicates whether this institution is available for use or not.
            Example: true
          - `open_finance_display_payment_failed.payer_institution.name` (string, required)
            The name of the institution, as designated by Belvo.
            Example: "wakanda_national"
          - `open_finance_display_payment_failed.payer_institution.display_name` (string, required)
            The customer-facing name of the institution.
            Example: "Wakanda National Bank"
          - `open_finance_display_payment_failed.payer_institution.legal_entity_name` (string,null, required)
            The name of the legal entity of the institution, as registered with the relevant regulatory authority. Only applicable for 🇧🇷 Brazil OFPI.
            Example: "Wakanda Bank, National Association"
          - `open_finance_display_payment_failed.payer_institution.website` (string, required)
            The URL of the institution's website.
            Example: "https://www.wakandanational.com"
          - `open_finance_display_payment_failed.payer_institution.logo` (string, required)
            The URL of the institution's logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_logo.svg"
          - `open_finance_display_payment_failed.payer_institution.icon_logo` (string, required)
            The URL of the institution's icon logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_icon_logo.svg"
          - `open_finance_display_payment_failed.payer_institution.text_logo` (string, required)
            The URL of the institution's text logo.
            Example: "https://belvo-api-media.s3.amazonaws.com/logos/wakandanational_text_logo.svg"
          - `open_finance_display_payment_failed.payer_institution.primary_color` (string, required)
            The primary color on the institution's website.
            Example: "#fdbc24"
          - `open_finance_display_payment_failed.payer_institution.country` (string,null, required)
            The customer's country of residence.
-  BRA (🇧🇷 Brazil)
            Enum: same as `open_finance_display_payment_method_information.institutions.country` in "OFPI -  Display Payment Method Information" (2 values)
          - `open_finance_display_payment_failed.payer_institution.form_fields` (array, required) — one of:
            - InstitutionFormField:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `label` (string)
                The label of the form field. For example:
- Document
- Clave
- Token
                Example: "Document"
              - `dependency` (string,null)
                Indicates whether or not this parameter depends on another parameter being provided. For example, if this field dependency = username_type, this means that you must also send through the username_type parameter.
                Example: "username_type"
              - `validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid client number"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `length` (integer)
                Number of digits allowed when the type is token.
                Example: 6
              - `optional` (boolean)
                It indicates whether this form field is optional.
            - InstitutionFormFieldUsernameType:
              - `name` (string)
                The username, password, or username type field.
                Example: "username"
              - `type` (string)
                The input type for the form field. For example, string.
                Example: "text"
              - `placeholder` (string)
                The placeholder text in the form field.
                Example: "Username"
              - `values` (array)
                Array of additional form field values.
              - `values.code` (string)
                The code of the document.
                Example: "001"
              - `values.label` (string)
                The label for the field. For example:
- Cédula de Ciudadanía
- Cédula de Extranjería
- Pasaporte
                Example: "Cédula de Ciudadanía"
              - `values.validation` (string)
                The type of input validation used for the field.
                Example: "^.{1,}$"
              - `values.validation_message` (string)
                The message displayed when an invalid input is provided in the form field.
                Example: "Invalid document number"
              - `values.placeholder` (string)
                The placeholder text in the form field.
                Example: "DEF4444908M22"
              - `preselected` (integer)
                Indicated which option from the username_types array is automatically preselected for the user.
                Example: 6
            - InstitutionFormFieldSaveCredentials:
              - `name` (string)
                Whether or not the user wants to save the credentials for this institution for future payments.
                Example: "save_credentials"
              - `type` (string)
                The input type for the form field. For save_credentials, this is set to checkbox.
                Example: "checkbox"
              - `label` (string)
                The label of the form field. For save_credentials, this is set to Recuérdame para futuros pagos`.
                Example: "Recuérdame para futuros pagos"
              - `validation` (string,null)
                The type of input validation used for the field. For save_credentials, this is null.
          - `open_finance_display_payment_failed.payer_institution.sort_priority` (integer, required)
            Number that represents the order in which the institution should be displayed in an application, with 1 being the highest.
            Example: 1
          - `open_finance_display_payment_failed.payer_institution.description` (string,null, required)
            A brief description of the insitution.
            Example: "Simple, transparent and secure: Wakanda Bank is the leading financial technology company in Latin America."
          - `ready_to_confirm` (boolean)
            Boolean that indicates whether the payment intent is ready to be confirmed. 

  Note: When set to true,you need to confirm the payment by making a PATCH request sending through confirm: true.
    - Bank Account:
      - `id` (string, required)
        Belvo's unique identifier for the current item.
        Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
      - `customer` (string, required)
        Belvo's unique ID for the customer related to this payment intent.
        Example: "1c83ead8-6665-429c-a17a-ddc76cb3a95e"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `created_at` (string, required)
        The ISO-8601 timestamp of when the data point was created in Belvo's database.
        Example: "2022-02-09T08:45:50.406032Z"
      - `created_by` (string, required)
        The unique ID for the user that created this item.
        Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"
      - `updated_at` (string,null, required)
        The ISO-8601 timestamp of when the payment intent was last updated.
        Example: "2022-02-09T08:45:50.406032Z"
      - `status` (string, required)
        The current status of the payment intent.
        Enum: same as `status` in "Pix Key" (5 values)
      - `amount` (string, required)
        Amount to be paid by your customer.
        Example: "1234.12"
      - `currency` (string, required)
        The currency of the amount paid, for example, BRL (Brazilian Real).
        Enum: same as `currency` in "Pix Key" (1 values)
      - `description` (string, required)
        The description of the payment.
        Example: "Training shoes"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `selected_payment_method_type` (string, required)
        Selected payment method type. For 🇧🇷 Brazil's OFPI, can be either:

  - open_finance: For regular payments.
  - open_finance_biometric_pix: For biometric payments using the PIX network.
        Enum: same as `selected_payment_method_type` in "Pix Key" (2 values)
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For OFPI, the value will be open_finance.
        Example: ["open_finance"]
      - `payment_method_details` (any, required) — one of:
        Details about the OFPI payment method.
        - INDIVIDUAL:
          - `open_finance` (object, required)
            Payment method type selected.
          - `open_finance.beneficiary_bank_account` (string, required)
            Belvo's unique ID used to identify the beneficiary's bank account.
            Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"
          - `open_finance.payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `open_finance.schedule` (object,null) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object,null)
                Details regarding the scheduled (one-off) payment.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Details regarding the daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Details regarding the weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Details regarding the monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Details regarding the custom recurring payment.
              - `custom.dates` (array)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `open_finance.callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `open_finance.cpf` (string,null)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "23******00"
        - BUSINESS:
          - `open_finance` (object, required)
            Payment method type selected.
          - `open_finance.beneficiary_bank_account` (string, required)
            Belvo's unique ID used to identify the beneficiary's bank account.
            Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"
          - `open_finance.payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `open_finance.schedule` (object,null) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object,null)
                Details regarding the scheduled (one-off) payment.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Details regarding the daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Details regarding the weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Details regarding the monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Details regarding the custom recurring payment.
              - `custom.dates` (array)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `open_finance.callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `open_finance.cpf` (string,null, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "23******00"
      - `payment_method_information` (object, required)
        Information about the payment method selected.
      - `payment_method_information.open_finance` (object)
        Payment method type selected.
      - `payment_method_information.open_finance.provider_request_id` (string,null)
        Unique ID for the payment, as sent by the provider.
        Example: "978c0c97ea847e78e8849634473c1f1"
      - `payment_method_information.open_finance.redirect_url` (string,null)
        The URL that redirects the user to their institution's website to authorize the payment.
        Example: "https://wakandanational.com/"
      - `payment_method_information.open_finance.end_to_end_id` (string,null)
        A unique ID for the transaction in the Brazil's PIX payment system.
        Example: "F203262942022211117487a213b1d140"
      - `payment_method_information.open_finance.settlement_date` (string)
        The settlement_date field indicates the date on which a scheduled payment (charge) is planned to be settled. This field is relevant in various states of the charge's lifecycle:

  - Scheduled Charges: When a charge has the status SCHEDULED, this field represents the planned settlement date.
  - Completed Charges: When a charge has the status SUCCEEDED, this field reflects the date that the payment was made.
  - Failed or Canceled Charges: When a charge has the status CANCELED or FAILED, this field will still contain the originally calculated settlement date, indicating when the charge was intended to be settled.


> Note: The settlement_date does not change based on the success or failure of the charge. It consistently reflects the original planned settlement date.
        Example: "2024-10-22"
      - `failure_code` (string,null, required)
        Error code that explains the reason behind a payment being unsuccessful (if applicable).
      - `failure_message` (string,null, required)
        Further information regarding the failure_code.
      - `metadata` (object)
[...]
